Package org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface Modifiers

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `ModifiersImpl`

      public interface Modifiers
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Modifiers'.

  The following features are supported:

  - `Private`
  - `Execution`
  See Also:
    `PatternLanguagePackage.getModifiers()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ExecutionType` | `getExecution()` | Returns the value of the 'Execution' attribute.
    `boolean` | `isPrivate()` | Returns the value of the 'Private' attribute.
    `void` | `setExecution​(ExecutionType value)` | Sets the value of the '`Execution`' attribute.
    `void` | `setPrivate​(boolean value)` | Sets the value of the '`Private`' attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### isPrivate

          boolean isPrivate()

      Returns the value of the 'Private' attribute.
      Returns:
        the value of the 'Private' attribute.
      See Also:
        `setPrivate(boolean)`, `PatternLanguagePackage.getModifiers_Private()`
      Generated:
      Model:

    - #### setPrivate

          void setPrivate​(boolean value)

      Sets the value of the '`Private`' attribute.
      Parameters:
        `value` - the new value of the 'Private' attribute.
      See Also:
        `isPrivate()`
      Generated:

    - #### getExecution

          ExecutionType getExecution()

      Returns the value of the 'Execution' attribute. The literals are from the enumeration `ExecutionType`.
      Returns:
        the value of the 'Execution' attribute.
      See Also:
        `ExecutionType`, `setExecution(ExecutionType)`, `PatternLanguagePackage.getModifiers_Execution()`
      Generated:
      Model:

    - #### setExecution

          void setExecution​(ExecutionType value)

      Sets the value of the '`Execution`' attribute.
      Parameters:
        `value` - the new value of the 'Execution' attribute.
      See Also:
        `ExecutionType`, `getExecution()`
      Generated:

    - #### toString

          java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model: